QGIS Application - Feature request #14935
WFS dialog using 'Keep dialog open' does load layers but they are not rendered
2016-06-01 01:05 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22886
Description

In current master, when | open the WFS dialog, and get the layerlist of a service with a lot of layers, like:

https://geodata.nationaalgeoregister.nl/cbsgebiedsindelingen/wfs ?request=GetCapabilities
epsg:28992

You can load several layers by thicking the 'Keep dialog open'.

Adding a couple of layers, you see them be loaded in the legend/layerlist, but the screen/MapCanvas is not rendered.
OR the provider is not retrieving the data yet.

Not sure if this is a design choice, but especially for browsign layers, it would be good, to be able to see the layer as soon as you added it.

So not sure if this is feasable or not...

History

#1 - 2016-06-01 01:57 AM - Even Rouault
- Target version set to Version 2.16

- Assignee set to Even Rouault

- Status changed from Open to Closed

Implemented in commit:47a301c

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

2024-04-25 1/1



https://geodata.nationaalgeoregister.nl/cbsgebiedsindelingen/wfs?request=GetCapabilities

